aboutsummaryrefslogtreecommitdiffstats
path: root/test/ete/scripts/deploy-onap.sh
diff options
context:
space:
mode:
authorGary Wu <gary.i.wu@huawei.com>2017-10-13 12:27:39 -0700
committerGary Wu <gary.i.wu@huawei.com>2017-10-13 19:29:48 +0000
commit874794d97f5b7e9861358e5da21dd9f2434188de (patch)
treece13566b4d21b185d150111313656141832cce1d /test/ete/scripts/deploy-onap.sh
parent14762cbc10d4653f6d99f181432607c661acb45f (diff)
Automatic ONAP deployment in Wind River lab
Change-Id: If6e1d7da8a8a7a6a34ba60c949f9cf6a43e1a899 Issue-ID: INT-278 Signed-off-by: Gary Wu <gary.i.wu@huawei.com>
Diffstat (limited to 'test/ete/scripts/deploy-onap.sh')
-rwxr-xr-xtest/ete/scripts/deploy-onap.sh53
1 files changed, 53 insertions, 0 deletions
diff --git a/test/ete/scripts/deploy-onap.sh b/test/ete/scripts/deploy-onap.sh
new file mode 100755
index 000000000..3c69e15e8
--- /dev/null
+++ b/test/ete/scripts/deploy-onap.sh
@@ -0,0 +1,53 @@
+#!/bin/bash
+
+if [ -z "$OS_AUTH_URL" ] || [ -z "$OS_USERNAME" ]
+then
+ echo "ERROR: OpenStack environment variables not set. Please source your OpenStack RC script first."
+ exit 1
+fi
+
+
+if [ -z "$WORKSPACE" ]; then
+ export WORKSPACE=`git rev-parse --show-toplevel`
+fi
+
+
+
+# Assume that if ROBOT_VENV is set, we don't need to reinstall robot
+if [ -f ${WORKSPACE}/env.properties ]; then
+ source ${WORKSPACE}/env.properties
+fi
+
+if [ ! -z "$ONAP_VENV" ] && [ -f "$ONAP_VENV/bin/activate" ]; then
+ source ${ONAP_VENV}/bin/activate
+else
+ ONAP_VENV=$(mktemp -d --suffix=_onap_venv)
+ virtualenv ${ONAP_VENV}
+ source ${ONAP_VENV}/bin/activate
+
+ pip install --upgrade pip
+ pip install --upgrade python-openstackclient python-heatclient
+
+ echo "ONAP_VENV=${ONAP_VENV}" >> $WORKSPACE/env.properties
+fi
+echo "ONAP_VENV=${ONAP_VENV}"
+
+if [ -z "$ONAP_WORKDIR" ]; then
+ ONAP_WORKDIR=$(mktemp -d --suffix=_onap_workdir)
+ echo "ONAP_WORKDIR=${ONAP_WORKDIR}" >> $WORKSPACE/env.properties
+fi
+echo "ONAP_WORKDIR=${ONAP_WORKDIR}"
+if [ ! -d ${ONAP_WORKDIR}/demo ]; then
+ git clone http://gerrit.onap.org/r/demo ${ONAP_WORKDIR}/demo
+else
+ pushd ${ONAP_WORKDIR}/demo
+ git pull
+ popd
+fi
+
+
+
+STACK="ete-$(uuidgen | cut -c-8)"
+echo "Stack Name: ${STACK}"
+openstack stack create -t ${ONAP_WORKDIR}/demo/heat/ONAP/onap_openstack.yaml -e ${WORKSPACE}/test/ete/labs/windriver/onap.env $STACK
+